curl --request POST \
--url 'https://demo.notifuse.com/api/blogPosts.update?workspace_id=ws_1234567890' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"category_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "october-release",
"title": "What shipped in October",
"template_id": "blog_october_release",
"template_version": 1,
"excerpt": "A faster editor, scheduled broadcasts and a new API.",
"featured_image_url": "https://cdn.example.com/blog/october.png",
"authors": [
{
"name": "Jane Doe",
"avatar_url": "https://cdn.example.com/avatars/jane.png"
}
],
"reading_time_minutes": 4,
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
},
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427"
}'
const response = await fetch('https://demo.notifuse.com/api/blogPosts.update?workspace_id=ws_1234567890', {
method: 'POST',
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"category_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "october-release",
"title": "What shipped in October",
"template_id": "blog_october_release",
"template_version": 1,
"excerpt": "A faster editor, scheduled broadcasts and a new API.",
"featured_image_url": "https://cdn.example.com/blog/october.png",
"authors": [
{
"name": "Jane Doe",
"avatar_url": "https://cdn.example.com/avatars/jane.png"
}
],
"reading_time_minutes": 4,
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
},
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427"
})
});
const data = await response.json();
console.log(data);
import requests
url = "https://demo.notifuse.com/api/blogPosts.update?workspace_id=ws_1234567890"
payload = {
"category_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "october-release",
"title": "What shipped in October",
"template_id": "blog_october_release",
"template_version": 1,
"excerpt": "A faster editor, scheduled broadcasts and a new API.",
"featured_image_url": "https://cdn.example.com/blog/october.png",
"authors": [
{
"name": "Jane Doe",
"avatar_url": "https://cdn.example.com/avatars/jane.png"
}
],
"reading_time_minutes": 4,
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
},
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
payload := strings.NewReader(`{
"category_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "october-release",
"title": "What shipped in October",
"template_id": "blog_october_release",
"template_version": 1,
"excerpt": "A faster editor, scheduled broadcasts and a new API.",
"featured_image_url": "https://cdn.example.com/blog/october.png",
"authors": [
{
"name": "Jane Doe",
"avatar_url": "https://cdn.example.com/avatars/jane.png"
}
],
"reading_time_minutes": 4,
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
},
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427"
}`)
req, _ := http.NewRequest("POST", "https://demo.notifuse.com/api/blogPosts.update?workspace_id=ws_1234567890", payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"post": {
"id": "1b4e28ba-2fa1-11d2-883f-0016d3cca427",
"category_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"slug": "october-release",
"settings": {
"title": "What shipped in October",
"template": {
"template_id": "blog_october_release",
"template_version": 3
},
"excerpt": "A faster editor, scheduled broadcasts and a new API.",
"featured_image_url": "https://cdn.example.com/blog/october.png",
"authors": [
{
"name": "Jane Doe",
"avatar_url": "https://cdn.example.com/avatars/jane.png"
}
],
"reading_time_minutes": 4,
"seo": {
"meta_title": "Release notes for October",
"meta_description": "Everything that shipped this month.",
"og_title": "<string>",
"og_description": "<string>",
"og_image": "https://cdn.example.com/og/october.png",
"canonical_url": "https://blog.example.com/product/october-release",
"keywords": [
"release",
"changelog"
],
"meta_robots": "index,follow"
}
},
"published_at": "2026-10-01T09:00:00Z",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
}
{
"error": "post not found: blog post not found"
}
{
"error": "<string>"
}
{
"error": "Insufficient permissions: write access to blog required",
"resource": "blog",
"permission": "write"
}